Can't get gem bundler to work with either rvm 1.9.1 and 1.9.2

I installed the bundler, no problem - but it seems to have screwed up
my gem repository in both cases!?
What to do?

kristian-mandrups-macbook-pro:~ kristianconsult$ sudo gem install thor
/Users/kristianconsult/.rvm/gems/ruby/1.9.1/gems/bundler-0.8.1/lib/
rubygems_plugin.rb:2:in require': no such file to load -- bundler/ commands/bundle_command (LoadError) from /Users/kristianconsult/.rvm/gems/ruby/1.9.1/gems/bundler-0.8.1/ lib/rubygems_plugin.rb:2:in<top (required)>’
from /Users/kristianconsult/.rvm/ruby-1.9.1-p376/lib/ruby/site_ruby/
1.9.1/rubygems.rb:1136:in load' from /Users/kristianconsult/.rvm/ruby-1.9.1-p376/lib/ruby/site_ruby/ 1.9.1/rubygems.rb:1136:inblock in <top (required)>’
from /Users/kristianconsult/.rvm/ruby-1.9.1-p376/lib/ruby/site_ruby/
1.9.1/rubygems.rb:1134:in each' from /Users/kristianconsult/.rvm/ruby-1.9.1-p376/lib/ruby/site_ruby/ 1.9.1/rubygems.rb:1134:in<top (required)>’
from internal:gem_prelude:235:in require' from <internal:gem_prelude>:235:inload_full_rubygems_library’
from internal:gem_prelude:334:in const_missing' from /Users/kristianconsult/.rvm/ruby-1.9.1-p376/bin/gem:15:in

kristian-mandrups-macbook-pro:~ kristianconsult$ gem list bundler

*** LOCAL GEMS ***

bundler (0.8.1)

kristian-mandrups-macbook-pro:~ kristianconsult$ rvm use 1.9.2
Now using ruby 1.9.2 preview1
kristian-mandrups-macbook-pro:~ kristianconsult$ gem list bundler

*** LOCAL GEMS ***

bundler (0.8.1)

kristian-mandrups-macbook-pro:~ kristianconsult$ sudo gem install thor
/Users/kristianconsult/.rvm/gems/ruby/1.9.2/gems/bundler-0.8.1/lib/
rubygems_plugin.rb:2:in require': no such file to load -- bundler/ commands/bundle_command (LoadError) from /Users/kristianconsult/.rvm/gems/ruby/1.9.2/gems/bundler-0.8.1/ lib/rubygems_plugin.rb:2:in<top (required)>’
from /Users/kristianconsult/.rvm/ruby-1.9.2-preview1/lib/ruby/
site_ruby/1.9.1/rubygems.rb:1136:in load' from /Users/kristianconsult/.rvm/ruby-1.9.2-preview1/lib/ruby/ site_ruby/1.9.1/rubygems.rb:1136:inblock in <top (required)>’
from /Users/kristianconsult/.rvm/ruby-1.9.2-preview1/lib/ruby/
site_ruby/1.9.1/rubygems.rb:1134:in each' from /Users/kristianconsult/.rvm/ruby-1.9.2-preview1/lib/ruby/ site_ruby/1.9.1/rubygems.rb:1134:in<top (required)>’
from internal:gem_prelude:252:in require' from <internal:gem_prelude>:252:inload_full_rubygems_library’
from internal:gem_prelude:372:in const_missing' from /Users/kristianconsult/.rvm/ruby-1.9.2-preview1/bin/gem:15:in
kristian-mandrups-macbook-pro:~ kristianconsult$

kristian-mandrups-macbook-pro:~ kristianconsult$ gem install thor
Successfully installed thor-0.12.2
1 gem installed
Installing ri documentation for thor-0.12.2…
ERROR: While executing gem … (Errno::EACCES)
Permission denied - /Users/kristianconsult/.ri/cache/.doc_dirs

Actually I did manage to run “gem bundle” successfully in a new rails
3 project, but seems like gem commands operating on the gem repository
itself don’t work anymore :frowning:
Any ideas?

On Mon, Jan 18, 2010 at 6:51 AM, Kristian [email protected] wrote:

kristian-mandrups-macbook-pro:~ kristianconsult$ gem install thor
Successfully installed thor-0.12.2
1 gem installed
Installing ri documentation for thor-0.12.2…
ERROR: While executing gem … (Errno::EACCES)
Permission denied - /Users/kristianconsult/.ri/cache/.doc_dirs

Kristian, I would recommend doing the following:

$ rvm-install --head
$ cd
$ sudo chown -R :staff .ri
$ gem install thor

Note: For OWNER, use the username of the logged in user.

Lastly, I would recommend finding a good resource for the Unix
command-set.

Good luck,

-Conrad

This forum is not affiliated to the Ruby language, Ruby on Rails framework, nor any Ruby applications discussed here.

| Privacy Policy | Terms of Service | Remote Ruby Jobs